Skip to main content
`Ctrl`+`K`

# PetscDeviceFinalizePackage

This function cleans up all components of the `PetscDevice` package. It is called from `PetscFinalize()`.

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceFinalizePackage(void)

## Developer Notes

This function is automatically registered to be called during `PetscFinalize()` by `PetscDeviceInitializePackage()` so there should be no need to call it yourself.

## See Also

`PetscFinalize()`, `PetscDeviceInitializePackage()`

## Level

developer

## Location

src/sys/objects/device/util/devicereg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages